Name: gateway-rockspecs
Version: 1.0.2
Release: 1%{?dist}
Summary: Lua Dependencies for 3scale API gateway (APIcast).
# router and inspect are MIT, lua-resty is BSD, lua-resty-jwt is Apache.
License: MIT and 2-clause BSD and Apache
URL: https://github.com/3scale/apicast
BuildArch: noarch

%global rock_dep_1    lua-resty-http-0.09-0.src.rock
%global rock_dep_2    router-2.1-0.src.rock
%global rock_dep_3    inspect-3.1.0-1.src.rock
%global rock_dep_4    lua-resty-jwt-0.1.9-0.src.rock

Source0: %{rock_dep_1}.tgz
Source1: %{rock_dep_2}.tgz
Source2: %{rock_dep_3}.tgz
Source3: %{rock_dep_4}.tgz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: luarocks
# Using requires so we can regenerate the manifest on installation.
Requires: luarocks

%description
RPM to bundle required Lua dependencies for RHMAP Gateway.

%prep
%autosetup -c %{name}-%{version}
%autosetup -D -a 1 -c %{name}-%{version}
%autosetup -D -a 2 -c %{name}-%{version}
%autosetup -D -a 3 -c %{name}-%{version}

%install
luarocks install --deps-mode=none --tree %{buildroot}/usr/local %{rock_dep_1}
luarocks install --deps-mode=none --tree %{buildroot}/usr/local %{rock_dep_2}
luarocks install --deps-mode=none --tree %{buildroot}/usr/local %{rock_dep_3}
luarocks install --deps-mode=none --tree %{buildroot}/usr/local %{rock_dep_4}
rm -f %{buildroot}/usr/local/lib64/luarocks/rocks/manifest

%post
luarocks-admin --tree=/usr/local  make_manifest --local-tree

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/local/lib64/luarocks/
/usr/local/share/lua/

%changelog
* Thu Mar 23 2017 Nick Cross <ncross@redhat.com>
- Add lua-resty-jwt-0.1.9-0.src.rock
* Wed Oct 12 2016 Nick Cross <ncross@redhat.com>
-
